Subject: Re: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: Richard Stallman <[email-masked]>
Date: Wed, 15 Sep 2021 16:13:52 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

   > > The point is not to display unnecessary warnings.  The point is only
   > > to display warnings for custom variables that should not be set with
   > > setq because they have a :set form, or IOW, to display warnings for
   > > custom variables that should be set with customize-set-variables.

  > I checked most of our uses of :set and agree that they usually behave
  > well-mannered so using `setq' instead is practically always a bug
  > indeed.

I am puzzled by that statement.  First, it seems to say that the
definitions of the variables are careful, so that they DTRT if the
user sets one with setq in an init file.

Then it seems to say that setting one of these variable with setq (in
an init file?) is almost surely a bug.

Those two statements are almost opposites.

Did I misunderstand?

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)